Subject: [bug#52956] [PATCH] gnu: darktable: update to 3.8.0

From: Alex Devaure <[email-masked]>
Date: Tue, 11 Jan 2022 12:25:54 +0000

Hi John and Ludo,
I just submitted a patch to add the new version of lua.
Kind regards,
Alex

Alex Devaure <[email-masked]> writes:

> Hi John and Ludo,
>
> John Kehayias <[email-masked]> writes:
>
>> Hi Alex and Ludo’,
>>
>> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>>
>> On Sunday, January 9th, 2022 at 6:56 AM, Alex Devaure wrote:
>>
>>> I managed to build darktable with the last lua version (4.5.3) but I
>>> needed to update the patched for that version.
>>> During that process, I came to the same question than John's: what is
>>> the best and least disturbing way to add lua 4.5.3?
>>>
>>
>> Glad to hear darktable builds with the newer version of Lua.
>>
>> However, I realized belatedly that the --with-latest transformation
>> will not inherit the patches of the original package. And, as I would
>> have expected, those patches don't apply cleanly to the new 5.4.3
>> source. I haven't had a chance to investigate, and likely won't be
>> able to for a bit (still catching up on other patches I have).
>>
> I modified lua.scm to integrate the version 4.5.3, creating new patches
> as the current ones didn't work for that version.
>
>> As for how to introduce the new version, my guess (now that the
>> patches needed to be updated) would be to have a lua-5.4 (or called
>> lua-next) package. If it is just the patches that need to be updated,
>> lua (the 5.3 version) could inherit from lua-5.4 adjusting the source
>> field for that version and using the original patches. Assuming this
>> doesn't cause rebuilds of the lua packages, that is. If more changes
>> are needed, then lua-5.4 would just stand separate from the lua <= 5.3
>> version set.
> I should be able to send a patch with a new package names lua-5.4
> tomorrow (UK time).
>
>>
>> John
>
> Best regards,
> Alex